Retrieves the unavailability with the specified key

Request Information

URI Parameters :

NameDescriptionTypeAdditional information
id

globally unique identifier

Required

Body Parameters :

None.

Response Information

Resource Description :

IHttpActionResult

user_unavailability
NameDescriptionTypeAdditional information
id

Primary Key

globally unique identifier
date_start

Date+Time of the beginning

date

Required

date_end

Date+Time of the end

date

Required

modified_dateutc

Date+Time of the modified

date

Required

description

Description of the unavailability

string

Max length: 255

is_approved

Indicate if this object has been approved using a User Week Approval

boolean
user_id

User owner of this unavailability

globally unique identifier

Optionally required : user_id, user_code or user must be provided

user_code

Embedded entity "user" using ERP PK when adding/updating user_unavailability

string

Optionally required : user_id, user_code or user must be provided

user

Embedded entity "user" using node when adding/updating user_unavailability

user

Optionally required : user_id, user_code or user must be provided

user_unavailability_type_id

Type of the unavailability, cf model user_unavailability_type

globally unique identifier

Required

Optionally required : user_unavailability_type_id, user_unavailability_type_code or user_unavailability_type must be provided

user_unavailability_type_code

Embedded entity "user_unavailability_type" using ERP PK when adding/updating user_unavailability

string

Optionally required : user_unavailability_type_id, user_unavailability_type_code or user_unavailability_type must be provided

user_unavailability_type

Embedded entity "user_unavailability_type" using node when adding/updating user_unavailability

user_unavailability_type

Optionally required : user_unavailability_type_id, user_unavailability_type_code or user_unavailability_type must be provided

Response Formats

application/json, text/json

Sample:
{
  "id": "bd173a91-95c8-4e50-83e4-1b59a6e33e24",
  "date_start": "2026-11-14T15:50:07.9958653+00:00",
  "date_end": "2026-11-14T15:50:07.9958653+00:00",
  "modified_dateutc": "2026-11-14T15:50:07.9958653+00:00",
  "description": "sample string 5",
  "is_approved": true,
  "user_id": "10ca59d7-7fd2-49c2-aa9d-e91dea49fbe2",
  "user_code": "sample string 8",
  "user": {
    "id": "67b5e802-822b-418d-b236-f25b5dcddafa",
    "db_language_id": "838f0cc3-3360-4549-b23b-9ee29b314b3e",
    "username": "sample string 3",
    "firstname": "sample string 4",
    "lastname": "sample string 5",
    "code": "sample string 6",
    "archived": true,
    "disabled": true,
    "emergency_contact": "sample string 9",
    "bankaccount": "sample string 10",
    "social_security": "sample string 11",
    "place_of_birth": "sample string 12",
    "nationality": "sample string 13",
    "functions": "sample string 14",
    "birthdate": "2026-11-14T15:50:07.9958653+00:00",
    "skype": "sample string 16",
    "notes": "sample string 17",
    "sales_organization_id": "325fdacb-c642-4812-b36d-66381612fedc",
    "sales_organization": {
      "id": "449be4dc-11f3-486b-b089-a2d5a8df1dbd",
      "code": "sample string 2",
      "name": "sample string 3",
      "description": "sample string 4",
      "db_country_id": "0911be98-5d94-48a1-abed-3cbdb9de3f9a",
      "db_currency_id": "71c758e0-7f3b-4def-a421-e2471582ea34",
      "db_language_id": "baa6eccc-bdf7-4a2e-9515-d293716914ce",
      "accountancy_code": "sample string 8",
      "archived": true,
      "default_unit_of_measure_system_type": "sample string 10",
      "street": "sample string 11",
      "street2": "sample string 12",
      "street_number": "sample string 13",
      "zip": "sample string 14",
      "city": "sample string 15",
      "email": "sample string 16",
      "phone": "sample string 17",
      "fax": "sample string 18",
      "url": "sample string 19",
      "vat_reg_code": "sample string 20",
      "modified_dateutc": "2026-11-14T15:50:07.9958653+00:00"
    },
    "sales_organization_code": "sample string 19",
    "is_team_leader": true,
    "team_leader_user_id": "ea7b6219-51fd-439c-b0b6-e8e741ca5a0e",
    "email": "sample string 22",
    "phone": "sample string 23",
    "fax": "sample string 24",
    "mobile": "sample string 25",
    "private_email": "sample string 26",
    "private_phone": "sample string 27",
    "private_fax": "sample string 28",
    "private_mobile": "sample string 29",
    "private_street": "sample string 30",
    "private_street_number": "sample string 31",
    "private_city": "sample string 32",
    "private_zip": "sample string 33",
    "private_db_country_id": "8e7e5578-d3a8-406c-9fc7-84409e032b1a",
    "private_db_country_code": "sample string 35",
    "modified_dateutc": "2026-11-14T15:50:07.9958653+00:00",
    "allow_hero_app": true,
    "allow_sales_app": true,
    "allow_service_app": true,
    "user_group_id": "9c114d9a-55da-460e-acce-aec974008b00"
  },
  "user_unavailability_type_id": "90e99231-1f35-4d4c-912f-76fd2d3e6509",
  "user_unavailability_type_code": "sample string 10",
  "user_unavailability_type": {
    "id": "815a8248-1e4e-41dc-982b-7d0d2918f4bb",
    "code": "sample string 2",
    "name": "sample string 3",
    "description": "sample string 4",
    "sales_organization_id": "ddc64bdb-4089-470f-8601-5c02c4cb6519",
    "sales_organization_code": "sample string 6",
    "sales_organization": {
      "id": "449be4dc-11f3-486b-b089-a2d5a8df1dbd",
      "code": "sample string 2",
      "name": "sample string 3",
      "description": "sample string 4",
      "db_country_id": "0911be98-5d94-48a1-abed-3cbdb9de3f9a",
      "db_currency_id": "71c758e0-7f3b-4def-a421-e2471582ea34",
      "db_language_id": "baa6eccc-bdf7-4a2e-9515-d293716914ce",
      "accountancy_code": "sample string 8",
      "archived": true,
      "default_unit_of_measure_system_type": "sample string 10",
      "street": "sample string 11",
      "street2": "sample string 12",
      "street_number": "sample string 13",
      "zip": "sample string 14",
      "city": "sample string 15",
      "email": "sample string 16",
      "phone": "sample string 17",
      "fax": "sample string 18",
      "url": "sample string 19",
      "vat_reg_code": "sample string 20",
      "modified_dateutc": "2026-11-14T15:50:07.9958653+00:00"
    },
    "modified_dateutc": "2026-11-14T15:50:07.9958653+00:00"
  }
}